On 28 October 2013 15:10, RVic wrote:
I've been tryng to duplicate an ancient Ruby 1.86 Rails 2.3.2 app on a brand
new Linux box (over from a windows box) and have, under rpm, recreated all
the gems with their corret versions.

However, when I go to invoke

ruby script/server

I am getting:

=> Booting Mongrel
=> Rails 2.3.2 application starting on http://0.0.0.0:3000
/home/user/.rvm/gems/ruby-1.8.6-p420/gems/rails-2.3.2/lib/rails/gem_dependency.rb:99:Warning:
Gem::Dependency#version_requirements is deprecated and will be removed on or
after August 2010. Use #requirement
The warning is because you have a later version of rubygems than
rails. It is only a warning, you can ignore it.
/home/user/.rvm/rubies/ruby-1.8.6-p420/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in
`gem_original_require': no such file to load -- ruby-debug
(MissingSourceFile)
from
/home/user/.rvm/rubies/ruby-1.8.6-p420/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in
`require'
from
/home/user/.rvm/gems/ruby-1.8.6-p420/gems/activesupport-2.3.2/lib/active_support/dependencies.rb:156:in
`require'
from
/home/user/.rvm/gems/ruby-1.8.6-p420/gems/activesupport-2.3.2/lib/active_support/dependencies.rb:521:in
`new_constants_in'
from
/home/user/.rvm/gems/ruby-1.8.6-p420/gems/activesupport-2.3.2/lib/active_support/dependencies.rb:156:in
`require'
from /home/user/ggrip/ggripv2/config/environments/development.rb:2:in
`load_environment'
from
[snip]

I'm at a loss here as to what to change to get this thing to fire up -- Im
just not sure what it is telling me needs to be changed in my
custom_require.rb, below, in order to start. Can someone please orient me
here what I need to do? Thanks, RVic
There is nothing wrong with custom_require.rb, the problem is that it
cannot find the ruby-debug gem. Unless you need to use it just remove
it from development.rb (I think that is where it is being required
from).

Colin

--
You received this message because you are subscribed to the Google Groups "Ruby on Rails: Talk" group.
To unsubscribe from this group and stop receiving emails from it, send an email to rubyonrails-talk+unsubscribe@googlegroups.com.
To post to this group, send email to rubyonrails-talk@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/rubyonrails-talk/CAL%3D0gLtyn0N3KAEtvfsvOo%3DxN%3DWR4KKNpwYTqfG7%2B%3Dis%3DPALNQ%40mail.gmail.com.
For more options, visit https://groups.google.com/groups/opt_out.

Search Discussions

Discussion Posts

Previous

Follow ups

Related Discussions

Discussion Navigation
viewthread | post
posts ‹ prev | 2 of 11 | next ›
Discussion Overview
grouprubyonrails-talk @
categoriesrubyonrails
postedOct 28, '13 at 3:10p
activeOct 28, '13 at 5:34p
posts11
users2
websiterubyonrails.org
irc#RubyOnRails

2 users in discussion

Colin Law: 6 posts RVic: 5 posts

People

Translate

site design / logo © 2021 Grokbase